import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * BouncingLabel is a label that bounces. Please give credit to Miachel Kolling who made the boolean method atWorldEdge()
 * 
 * @author MathManiac
 * @version 0.5.0
 */
public class BouncingLabel  extends Label {
    
    public BouncingLabel(String txt) {
        super(txt);
    }
    
    private int direction = 90;
    
    public void act() {
        
        checkDirection();
        move();
        
    }
    
    private void checkDirection() {
        
        if (atWorldEdge())
            direction = direction + 180;
         
        if (direction > 360)
            direction = direction - 360;
        
    }
    
    private void move() {
        
        if (direction == 270)
            setLocation(getX() -5, getY());
        
        if (direction ==  90)
            setLocation(getX() +5, getY());
        
    }
    
    public boolean atWorldEdge() {
        if(getX() < 20 || getX() > (getWorld().getWidth() - 20))
            {return true;}
        if(getY() < 20 || getY() > (getWorld().getHeight() - 20)) {
            return true;
        }else {
        return false;}
    }
    
}
