import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * The Label class is very simple to those who understands it. It is basically a line of text that appears on the scenario.
 * 
 * @author Unknown
 * @version Unknown
 */
public class Label  extends Actor
{
    
    protected String label;
    
    public Label(String txt) {
        
        label = txt;
        generateLabel();
        
    }
    
    public void setLabel(String txt) {
        
        label = txt;
        generateLabel();
        
    }
    
    public final String getLabel() {return label;}
    
    protected void generateLabel() {generateLabel(label);}
    
    protected void generateLabel(String txt) {
        
        GreenfootImage img = new GreenfootImage(txt.length() * 7, 30);
        img.drawString(txt, (txt.length()/5), 20);
        setImage(img);
        
    }
        
}
